public class MonstreDirector {

    private MonstreBuilder b;

    public MonstreDirector(MonstreBuilder builder) {
        this.b = builder;
    }

    public Monstre créerMonstre(String type) {
        switch (type) {
            case "dragon":
                b.reset();
                b.type(type);
                b.buildCorps(true);
                b.buildJambes(2);
                b.buildTete(true);
                b.buildQueue(1);
                b.buildAiles(2);
                b.buildNom("Draco");
                b.buildDescription("Un monstre cracheur de feu.");
                b.buildSante(100);
                b.buildPuissance(100);
                break;
            case "squelette":
                b.reset();
                b.type(type);
                b.buildCorps(true);
                b.buildBras(1);
                b.buildJambes(2);
                b.buildTete(false);
                b.buildNom("Bones");
                b.buildDescription("Un monstre squelettique.");
                b.buildSante(50);
                b.buildPuissance(50);
                break;
            case "gobelin":
                b.reset();
                b.type(type);
                b.buildCorps(true);
                b.buildBras(2);
                b.buildJambes(2);
                b.buildTete(true);
                b.buildNom("Gollum");
                b.buildDescription("Un petit gobelin.");
                b.buildSante(15);
                b.buildPuissance(15);
                break;
            default:
                throw new IllegalArgumentException("Type de monstre non valide");
        }
        return b.build();
    }

}
